combobox.tcl
------------
source utils.tcl
source init.tcl
frame .control
comboBox .c -labelOpt {-text "Pattern: " } 
cbBind .c <Any-KeyRelease> { puts "Pressed" }
pack .c -in .control
pack .control

navbar.tcl
----------
source "utils.tcl"
navBar .navbar {search cancel ok test}
pack .navbar

status.tcl
----------
source init.tcl
status .statusBar
pack .statusBar -side bottom -anchor w -fill x -ipadx 2 -ipady 2
printStatus .statusBar "This is a demo"


umenu.tcl
---------
umenu .menu \
    { 
	{-text "Pattern" -underline 0} left \
	    {command -label "Search" \
		 -accelerator "  Ctrl-s" \
		 -underline 0 \
		 -command {search} \
		 -state disabled} \
	    {separator} \
	    {command -label "Preferences" \
		 -underline 0 \
		 -command {do_pref .pref}} \
	    {separator} \
	    {command -label "Exit" \
		 -accelerator "  Ctrl-x" \
		 -underline 1 \
		 -command {exit}} \
    }

pack .menu -side top -fill x


browser.tcl
-----------
source init.tcl
proc onCmd {} { puts "On" }
proc offCmd {} { puts "Off" }

browser .br
brAddHeading .br 0 "First row" onCmd offCmd
brAddHeading .br 1 "First.First row" onCmd offCmd
brAddHeading .br 1 "First.Second row" onCmd offCmd
brAddHeading .br 0 "Second row" onCmd offCmd
pack .br -side top -expand y -fill both

groupbox.tcl
------------
pack the groupbox without -expand and use -bottom

Dereferencing
-------------
set a k
set k 10
eval puts "$$a"

